summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author afhpayne2022-02-08 18:46:08 +0100
committer Willy Sudiarto Raharjo2022-02-09 09:41:59 +0100
commitb7fc02a960928fbe66b8862ab8d98986a15a58a5 (patch)
tree04c3c9db50c7f3369a7016f1803f959d211b079f /office
parent59e6121d013ce216cc83dac2cb55dd4f952a3f1e (diff)
downloadslackbuilds-b7fc02a960928fbe66b8862ab8d98986a15a58a5.tar.gz
office/ghostwriter: Updated for version 2.1.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/ghostwriter/README15
-rw-r--r--office/ghostwriter/ghostwriter.SlackBuild39
-rw-r--r--office/ghostwriter/ghostwriter.info14
-rw-r--r--office/ghostwriter/slack-desc8
4 files changed, 32 insertions, 44 deletions
diff --git a/office/ghostwriter/README b/office/ghostwriter/README
index b3755370a4..a537455019 100644
--- a/office/ghostwriter/README
+++ b/office/ghostwriter/README
@@ -1,13 +1,2 @@
-ghostwriter is a distraction-free Markdown editor, featuring a full
-screen mode and a clean interface. With Markdown, you can write now,
-and format later.
-
-Some of the features include:
-
-- built-in and custom themes,
-- live HTML preview,
-- export to multiple formats,
-- navigation with outline,
-- focus and Hemingway modes,
-- document and session statistics,
-- drag and drop images.
+ghostwriter is a cross-platform, aesthetic, distraction-free
+Markdown editor.
diff --git a/office/ghostwriter/ghostwriter.SlackBuild b/office/ghostwriter/ghostwriter.SlackBuild
index a74b4a9214..60559c798e 100644
--- a/office/ghostwriter/ghostwriter.SlackBuild
+++ b/office/ghostwriter/ghostwriter.SlackBuild
@@ -2,6 +2,7 @@
# Slackware build script for ghostwriter
+# Copyright 2022 Andrew Payne <phalange@komputermatrix.com>
# Copyright 2021 Andrzej Telszewski, Szczecin
# All rights reserved.
#
@@ -25,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=ghostwriter
-VERSION=${VERSION:-1.8.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -69,37 +70,35 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-
rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-
chown -R root:root .
-chmod -R a-st,u+rwX,go-w+rX .
-
-# Fix build error with Qt 5.15
-
-cat $CWD/fix-build-with-qt5.15.patch | patch -p1
-
-# Adjust docs location.
-
-sed -i $PRGNAM.pro -e "s|man\.path.*$|man.path = /usr/man/man1|"
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-qmake-qt5 -r $PRGNAM.pro \
- QMAKE_CFLAGS="$SLKCFLAGS" \
- QMAKE_CXXFLAGS="$SLKCFLAGS" \
+qmake-qt5 \
PREFIX=/usr
make
make install INSTALL_ROOT=$PKG
+cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+# Compress man pages
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man/man1 -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man/man1 -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a {BUILD_MAC,CHANGELOG,CREDITS,README}.md COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$VERSION/{CHANGELOG.md,CONTRIBUTING.md,COPYING,CREDITS.md,README.md} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -107,4 +106,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/ghostwriter/ghostwriter.info b/office/ghostwriter/ghostwriter.info
index 7be156b1a4..cba915a430 100644
--- a/office/ghostwriter/ghostwriter.info
+++ b/office/ghostwriter/ghostwriter.info
@@ -1,10 +1,10 @@
PRGNAM="ghostwriter"
-VERSION="1.8.1"
+VERSION="2.1.1"
HOMEPAGE="https://wereturtle.github.io/ghostwriter/"
-DOWNLOAD="https://github.com/wereturtle/ghostwriter/archive/v1.8.1/ghostwriter-1.8.1.tar.gz"
-MD5SUM="67f6b671a8e10bc91872fd65dea2b78f"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/wereturtle/ghostwriter/archive/refs/tags/2.1.1.tar.gz"
+MD5SUM_x86_64="19ecc86da9d2750c285cc4f2a3e0abd7"
REQUIRES=""
-MAINTAINER="Andrzej Telszewski"
-EMAIL="andrzej@telszewski.com"
+MAINTAINER="Andrew Payne"
+EMAIL="phalange@komputermatrix.com"
diff --git a/office/ghostwriter/slack-desc b/office/ghostwriter/slack-desc
index a710c6fd2b..08e9bafec0 100644
--- a/office/ghostwriter/slack-desc
+++ b/office/ghostwriter/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
ghostwriter: ghostwriter (distraction-free Markdown editor)
ghostwriter:
-ghostwriter: ghostwriter is a distraction-free Markdown editor, featuring a full
-ghostwriter: screen mode and a clean interface. With Markdown, you can write now,
-ghostwriter: and format later.
+ghostwriter: ghostwriter is a cross-platform, aesthetic, distraction-free
+ghostwriter: Markdown editor.
+ghostwriter:
ghostwriter:
-ghostwriter: Homepage: https://wereturtle.github.io/ghostwriter/
ghostwriter:
ghostwriter:
ghostwriter:
+ghostwriter: Homepage: https://wereturtle.github.io/ghostwriter/
ghostwriter: